const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');
let currentDir=process.cwd();
module.exports = {
 entry: currentDir+ '/src/main.ts',
 module: {
    rules: [
      {
        test: /\.ts?$/,
        use: 'ts-loader',
        exclude: /node_modules/,
      },
    ],
  },
  resolve: {
    extensions: [ '.tsx', '.ts', '.js' ],
  },
  output: {
    filename: 'bundle.js',
    path: path.resolve(currentDir, 'build'),
  },
  plugins: [
    new HtmlWebpackPlugin({
      inject: true,
      template: path.resolve(currentDir,'build/index.html'),
    }),
  ]
};